/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class UpdateWorkerRequest {
    public name: string;

    public trade: string[];

    public image: string;

    public data: object;

    public nric: string;

    public permitNumber: string;

    /**
     * Creates a UpdateWorkerRequest.
     *
     * @param {string} name
     * @param {string} trade
     * @param {string} image
     * @param {object} data
     * @param {string} nric
     * @param {string} permitNumber
     */
    constructor(name: string, trade: string[], image: string, data: object, nric: string, permitNumber: string) {
        this.name = name;
        this.trade = trade;
        this.image = image;
        this.data = data;
        this.nric = nric;
        this.permitNumber = permitNumber;
    }
}
